> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evals

> The team's Evals, newest first, without per-document results.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/evals
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/evals:
    get:
      tags:
        - evals
      summary: List Evals
      description: The team's Evals, newest first, without per-document results.
      operationId: list_evals_api_v1_evals_get
      parameters:
        - name: pipeline_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pipeline Id
        - name: collection_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Collection Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    EvalListResponse:
      properties:
        evals:
          items:
            $ref: '#/components/schemas/EvalResponse'
          type: array
          title: Evals
        total:
          type: integer
          title: Total
      type: object
      required:
        - evals
        - total
      title: EvalListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvalResponse:
      properties:
        eval_id:
          type: integer
          title: Eval Id
        pipeline_id:
          type: string
          title: Pipeline Id
        pipeline_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Name
        pipeline_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pipeline Version
        compared_step:
          type: string
          title: Compared Step
          default: convert
        collection_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Collection Id
        file_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: File Ids
        files:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalFile'
              type: array
            - type: 'null'
          title: Files
        status:
          type: string
          title: Status
        variants:
          items:
            $ref: '#/components/schemas/EvalVariantResult'
          type: array
          title: Variants
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
      type: object
      required:
        - eval_id
        - pipeline_id
        - pipeline_version
        - collection_id
        - file_ids
        - status
        - variants
        - created
      title: EvalResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EvalFile:
      properties:
        file_id:
          type: integer
          title: File Id
        file_name:
          type: string
          title: File Name
        comparison:
          type: string
          title: Comparison
          default: pending
        comparison_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Comparison Error
      type: object
      required:
        - file_id
        - file_name
      title: EvalFile
    EvalVariantResult:
      properties:
        name:
          type: string
          title: Name
        steps:
          additionalProperties:
            additionalProperties: true
            type: object
          type: object
          title: Steps
        status:
          type: string
          title: Status
        share:
          anyOf:
            - type: number
            - type: 'null'
          title: Share
        won:
          type: integer
          title: Won
        decided:
          type: integer
          title: Decided
        documents_compared:
          type: integer
          title: Documents Compared
        page_breaks_passed:
          type: integer
          title: Page Breaks Passed
          default: 0
        page_breaks_total:
          type: integer
          title: Page Breaks Total
          default: 0
        documents_total:
          type: integer
          title: Documents Total
        convert_settings:
          additionalProperties: true
          type: object
          title: Convert Settings
        extract_settings:
          additionalProperties: true
          type: object
          title: Extract Settings
        undecided:
          anyOf:
            - type: integer
            - type: 'null'
          title: Undecided
          default: 0
        rate_per_1000_pages_cents:
          anyOf:
            - type: number
            - type: 'null'
          title: Rate Per 1000 Pages Cents
        seconds_per_page:
          anyOf:
            - type: number
            - type: 'null'
          title: Seconds Per Page
        documents:
          anyOf:
            - items:
                $ref: '#/components/schemas/EvalDocumentResult'
              type: array
            - type: 'null'
          title: Documents
      type: object
      required:
        - name
        - steps
        - status
        - share
        - won
        - decided
        - documents_compared
        - documents_total
      title: EvalVariantResult
    EvalDocumentResult:
      properties:
        file_name:
          type: string
          title: File Name
        file_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Id
        status:
          type: string
          title: Status
        lookup_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Lookup Key
        request_id:
          type: integer
          title: Request Id
        share:
          anyOf:
            - type: number
            - type: 'null'
          title: Share
        won:
          type: integer
          title: Won
          default: 0
        decided:
          type: integer
          title: Decided
          default: 0
        undecided:
          anyOf:
            - type: integer
            - type: 'null'
          title: Undecided
          default: 0
      type: object
      required:
        - file_name
        - status
        - request_id
      title: EvalDocumentResult
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.